
	## -- --- --- --- --- --- ##   IMPORT / SETUP
	 ##
	 ##   
	## -- --- --- --- --- --- --- --- -- ##

import sys
import os

adminPath = str(os.path.dirname( os.path.abspath(__file__) )) + "/../"
sys.path.insert(0, adminPath)
import tools.admin as sqla

import settings
database = r"../../" + settings.dbFilename

	## - --- --- --- --- ,,, --- ''' qSp ''' --- ,,, --- --- --- --- - ##



	## -- --- --- --- --- --- ##   SQL COMMANDS
	 ##
	 ##   
	## -- --- --- --- --- --- --- --- -- ##

sql_table_menu = """
    CREATE TABLE IF NOT EXISTS menu (
        id integer PRIMARY KEY,
        ltext text NOT NULL,
        link text NOT NULL
    );
"""

	## - --- --- --- --- ,,, --- ''' qSp ''' --- ,,, --- --- --- --- - ##




##- --- --- --- --- --- --- --- --- --- --.###. --- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- -## --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- #########-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##




     ## -- --- --- --- --- --- ()   main
    ##
    ##   
     ## -- --- --- --- --- --- --- --- -- ()

def main ():
    conn = sqla.cr_conn(database)

    if conn is not None:
        sqla.cr_table(conn, sql_table_menu)
    else: print("Error:: cannot create the database connection")
#...

    ## - --- --- --- --- ,,, --- ''' qFp ''' --- ,,, --- --- --- --- - ##




##- --- --- --- --- --- --- --- --- --- #######.--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##-###. --- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ####### --- --- --- --- --- --- --- --- --- --- --- --- --- -##




if __name__ == '__main__':
    main()